export default {
  filterPhone(phone: string | undefined | null) {
    if (typeof phone === "string")
      return phone.slice(0, 3) + "*".repeat(5) + phone.slice(-3);
    else return "";
  },
  filterDistance(distance: string) {
    if (!distance) return "";
    const m = Number(distance);
    const k = m.toFixed(2);
    return `${k}km`;
  },
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
} as { [key: string]: (...args: any) => any };
